Index: Makefile.in
===================================================================
--- Makefile.in	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ Makefile.in	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -50,4 +50,7 @@
           fi;); \
 	done
+
+install-doc:
+	cd doc; make install
 
 ##############################################################
Index: Singular/Makefile.in
===================================================================
--- Singular/Makefile.in	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ Singular/Makefile.in	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -25,4 +25,6 @@
 # includes are taken from here
 includedir	= @includedir@
+slibdir		= ${prefix}/LIB
+
 
 ## 
@@ -251,5 +253,5 @@
 ## install targets
 ##
-install: all installbin 
+install: all installbin installslib
 
 installbin: Singular libparse
@@ -264,4 +266,6 @@
 	fi
 
+installslib: LIB
+	test -L ${slibdir} || (rm -rf ${slibdir}; ln -s  `pwd`/LIB ${slibdir})
 
 
Index: Singular/libparse.l
===================================================================
--- Singular/libparse.l	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ Singular/libparse.l	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -3,5 +3,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: libparse.l,v 1.32 1999-07-01 12:49:48 obachman Exp $ */
+/* $Id: libparse.l,v 1.33 1999-07-19 12:06:08 obachman Exp $ */
 #include <stdio.h>
 #include <string.h>
@@ -254,5 +254,15 @@
 #ifdef STANDALONE_PARSER
                if (texinfo_out) 
-                 printf("$version = \"%s\";\n", libnamebuf);
+               {
+                 char *c = libnamebuf;
+                 printf("$version = \"");
+                 while (*c != '\0')
+                 {
+                    if (*c  == '$' || *c  == '@' || *c == '\\') putchar('\\');
+                    putchar(*c);
+                    c++;
+                 }
+                 printf("\";\n");
+               }
                else
                  printf("Version:%s;\n", libnamebuf);
Index: Singular/utils.cc
===================================================================
--- Singular/utils.cc	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ Singular/utils.cc	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -154,5 +154,5 @@
   {
     c = fgetc(fd);
-    if (c == '@' || c == '$') putchar('\\');
+    if (c == '@' || c == '$' || c == '\\') putchar('\\');
     if (c != '\r') putchar(c);
   }
Index: configure
===================================================================
--- configure	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ configure	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -589,7 +589,10 @@
    OUTPUT_MAKEFILES=$OUTPUT_MAKEFILES" modules/tools/Makefile"
 fi
+if test -d "emacs"; then
+   OUTPUT_MAKEFILES=$OUTPUT_MAKEFILES" emacs/Makefile"
+fi
 
 echo $ac_n "checking uname for singular""... $ac_c" 1>&6
-echo "configure:594: checking uname for singular" >&5
+echo "configure:597: checking uname for singular" >&5
 if eval "test \"`echo '$''{'ac_cv_singuname'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -618,5 +621,5 @@
 SINGULAR_MAJOR_VERSION=1
 SINGULAR_MINOR_VERSION=3
-SINGULAR_SUB_VERSION=3
+SINGULAR_SUB_VERSION=4
 SINGULAR_SHORT_VERSION="${SINGULAR_MAJOR_VERSION}${VERSION_SEP}${SINGULAR_MINOR_VERSION}"
 SINGULAR_VERSION="${SINGULAR_SHORT_VERSION}${VERSION_SEP}${SINGULAR_SUB_VERSION}"
@@ -636,5 +639,5 @@
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:639: checking for $ac_word" >&5
+echo "configure:642: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -666,5 +669,5 @@
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:669: checking for $ac_word" >&5
+echo "configure:672: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -717,5 +720,5 @@
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:720: checking for $ac_word" >&5
+echo "configure:723: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -749,5 +752,5 @@
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:752: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:755: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
@@ -760,10 +763,10 @@
 cat > conftest.$ac_ext << EOF
 
-#line 763 "configure"
+#line 766 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:768: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:771: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
@@ -791,10 +794,10 @@
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:794: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:797: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:799: checking whether we are using GNU C" >&5
+echo "configure:802: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -805,5 +808,5 @@
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:808: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:811: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
@@ -824,5 +827,5 @@
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:827: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:830: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -856,5 +859,5 @@
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:859: checking how to run the C preprocessor" >&5
+echo "configure:862: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
@@ -871,5 +874,5 @@
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 874 "configure"
+#line 877 "configure"
 #include "confdefs.h"
 #include <assert.h>
@@ -877,5 +880,5 @@
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:880: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:883: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -888,5 +891,5 @@
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 891 "configure"
+#line 894 "configure"
 #include "confdefs.h"
 #include <assert.h>
@@ -894,5 +897,5 @@
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:897: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:900: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -905,5 +908,5 @@
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 908 "configure"
+#line 911 "configure"
 #include "confdefs.h"
 #include <assert.h>
@@ -911,5 +914,5 @@
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:914: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:917: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -936,7 +939,7 @@
 
 echo $ac_n "checking for AIX""... $ac_c" 1>&6
-echo "configure:939: checking for AIX" >&5
+echo "configure:942: checking for AIX" >&5
 cat > conftest.$ac_ext <<EOF
-#line 941 "configure"
+#line 944 "configure"
 #include "confdefs.h"
 #ifdef _AIX
@@ -965,5 +968,5 @@
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:968: checking for $ac_word" >&5
+echo "configure:971: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_PERL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -997,5 +1000,5 @@
 set dummy latex2html; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1000: checking for $ac_word" >&5
+echo "configure:1003: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LATEX2HTML'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1024,5 +1027,5 @@
 
 echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:1027: checking whether ln -s works" >&5
+echo "configure:1030: checking whether ln -s works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1056,5 +1059,5 @@
 set dummy texi2html; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1059: checking for $ac_word" >&5
+echo "configure:1062: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_TEXI2HTML'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1104,5 +1107,5 @@
 # expand bindir
 if test "x$bindir" = 'x${exec_prefix}/bin'; then
-  bindir="${exec_prefix}/bin"
+  bindir="${exec_prefix}/"
   ac_configure_args="$ac_configure_args --bindir=${bindir}"
 fi
@@ -1110,5 +1113,5 @@
 # expand libdir
 if test "x$libdir" = 'x${exec_prefix}/lib'; then
-  libdir="${exec_prefix}/lib/${SINGULAR_VERSION}"
+  libdir="${exec_prefix}/lib/"
   ac_configure_args="$ac_configure_args --libdir=${libdir}"
 fi
@@ -1116,5 +1119,5 @@
 # expand includedir
 if test "x$includedir" = 'x${prefix}/include'; then
-  includedir="${exec_prefix}/include/${SINGULAR_VERSION}"
+  includedir="${exec_prefix}/include/"
   ac_configure_args="$ac_configure_args --includedir=${includedir}"
 fi
@@ -1132,10 +1135,10 @@
 # check for AIX
 echo $ac_n "checking whether _AIX is defined""... $ac_c" 1>&6
-echo "configure:1135: checking whether _AIX is defined" >&5
+echo "configure:1138: checking whether _AIX is defined" >&5
 if eval "test \"`echo '$''{'ac_cv_is_aix'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1140 "configure"
+#line 1143 "configure"
 #include "confdefs.h"
 #ifdef _AIX
@@ -1163,5 +1166,5 @@
 
 echo $ac_n "checking for atof in -lm""... $ac_c" 1>&6
-echo "configure:1166: checking for atof in -lm" >&5
+echo "configure:1169: checking for atof in -lm" >&5
 ac_lib_var=`echo m'_'atof | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1171,5 +1174,5 @@
 LIBS="-lm  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1174 "configure"
+#line 1177 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1182,5 +1185,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1185: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1188: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1210,5 +1213,5 @@
 
 echo $ac_n "checking for socket in -lbsd""... $ac_c" 1>&6
-echo "configure:1213: checking for socket in -lbsd" >&5
+echo "configure:1216: checking for socket in -lbsd" >&5
 ac_lib_var=`echo bsd'_'socket | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1218,5 +1221,5 @@
 LIBS="-lbsd  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1221 "configure"
+#line 1224 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1229,5 +1232,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1232: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1235: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1257,5 +1260,5 @@
 
 echo $ac_n "checking for listen in -lsocket""... $ac_c" 1>&6
-echo "configure:1260: checking for listen in -lsocket" >&5
+echo "configure:1263: checking for listen in -lsocket" >&5
 ac_lib_var=`echo socket'_'listen | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1265,5 +1268,5 @@
 LIBS="-lsocket  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1268 "configure"
+#line 1271 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1276,5 +1279,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1279: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1282: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1304,5 +1307,5 @@
 
 echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
-echo "configure:1307: checking for gethostbyname in -lnsl" >&5
+echo "configure:1310: checking for gethostbyname in -lnsl" >&5
 ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1312,5 +1315,5 @@
 LIBS="-lnsl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1315 "configure"
+#line 1318 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1323,5 +1326,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1326: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1329: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1351,5 +1354,5 @@
 
 echo $ac_n "checking for mpq_init in -lgmp""... $ac_c" 1>&6
-echo "configure:1354: checking for mpq_init in -lgmp" >&5
+echo "configure:1357: checking for mpq_init in -lgmp" >&5
 ac_lib_var=`echo gmp'_'mpq_init | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1359,5 +1362,5 @@
 LIBS="-lgmp  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1362 "configure"
+#line 1365 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1370,5 +1373,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1373: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1376: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1398,5 +1401,5 @@
 
 echo $ac_n "checking for mpz_init in -lsmallgmp""... $ac_c" 1>&6
-echo "configure:1401: checking for mpz_init in -lsmallgmp" >&5
+echo "configure:1404: checking for mpz_init in -lsmallgmp" >&5
 ac_lib_var=`echo smallgmp'_'mpz_init | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1406,5 +1409,5 @@
 LIBS="-lsmallgmp  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1409 "configure"
+#line 1412 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1417,5 +1420,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1420: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1423: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1445,5 +1448,5 @@
 
 echo $ac_n "checking for IMP_PutGmpInt in -lMP""... $ac_c" 1>&6
-echo "configure:1448: checking for IMP_PutGmpInt in -lMP" >&5
+echo "configure:1451: checking for IMP_PutGmpInt in -lMP" >&5
 ac_lib_var=`echo MP'_'IMP_PutGmpInt | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1453,5 +1456,5 @@
 LIBS="-lMP  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1456 "configure"
+#line 1459 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1464,5 +1467,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1467: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1470: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1492,5 +1495,5 @@
 
 echo $ac_n "checking for MPT_GetTree in -lMPT""... $ac_c" 1>&6
-echo "configure:1495: checking for MPT_GetTree in -lMPT" >&5
+echo "configure:1498: checking for MPT_GetTree in -lMPT" >&5
 ac_lib_var=`echo MPT'_'MPT_GetTree | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1500,5 +1503,5 @@
 LIBS="-lMPT  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1503 "configure"
+#line 1506 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1511,5 +1514,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1514: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1517: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1539,5 +1542,5 @@
 
 echo $ac_n "checking for atof in -lsingcf""... $ac_c" 1>&6
-echo "configure:1542: checking for atof in -lsingcf" >&5
+echo "configure:1545: checking for atof in -lsingcf" >&5
 ac_lib_var=`echo singcf'_'atof | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1547,5 +1550,5 @@
 LIBS="-lsingcf  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1550 "configure"
+#line 1553 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1558,5 +1561,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1561: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1564: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1586,5 +1589,5 @@
 
 echo $ac_n "checking for atof in -lsingfac""... $ac_c" 1>&6
-echo "configure:1589: checking for atof in -lsingfac" >&5
+echo "configure:1592: checking for atof in -lsingfac" >&5
 ac_lib_var=`echo singfac'_'atof | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1594,5 +1597,5 @@
 LIBS="-lsingfac  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 1597 "configure"
+#line 1600 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -1605,5 +1608,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1608: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1611: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
@@ -1637,15 +1640,15 @@
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:1640: checking for $ac_hdr" >&5
+echo "configure:1643: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1645 "configure"
+#line 1648 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1650: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1653: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -1789,5 +1792,5 @@
 
 echo $ac_n "checking which tmp dir to use""... $ac_c" 1>&6
-echo "configure:1792: checking which tmp dir to use" >&5
+echo "configure:1795: checking which tmp dir to use" >&5
 if test "${with_tmpdir+set}" = set && test -d ${with_tmpdir}; then
   if (echo "${with_tmpdir}" | egrep "\." >/dev/null 2>&1)
@@ -1806,5 +1809,5 @@
 if test "${with_perl5+set}" != set; then
   echo $ac_n "checking for perl5""... $ac_c" 1>&6
-echo "configure:1809: checking for perl5" >&5
+echo "configure:1812: checking for perl5" >&5
     if eval "test \"`echo '$''{'ac_cv_prog_perl5'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1843,5 +1846,5 @@
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1846: checking for $ac_word" >&5
+echo "configure:1849: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_PERL5'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1879,5 +1882,5 @@
 
 echo $ac_n "checking whether to configure and build texinfo""... $ac_c" 1>&6
-echo "configure:1882: checking whether to configure and build texinfo" >&5
+echo "configure:1885: checking whether to configure and build texinfo" >&5
 if test "$enable_texinfo" != no && test -d Texinfo; then
   echo "$ac_t""yes" 1>&6
@@ -1901,5 +1904,5 @@
 
 echo $ac_n "checking whether to configure and build gmp lib""... $ac_c" 1>&6
-echo "configure:1904: checking whether to configure and build gmp lib" >&5
+echo "configure:1907: checking whether to configure and build gmp lib" >&5
 if test "$enable_gmp" != yes && test "$enable_gmp" != no; then
   if test "$ac_gmp_ok" != yes && test -d gmp; then
@@ -1927,5 +1930,5 @@
 
 echo $ac_n "checking whether to configure and build smallgmp lib""... $ac_c" 1>&6
-echo "configure:1930: checking whether to configure and build smallgmp lib" >&5
+echo "configure:1933: checking whether to configure and build smallgmp lib" >&5
 if test "$enable_smallgmp" != yes && test "$enable_smallgmp" != no; then
   if test "$ac_smallgmp_ok" != yes && test "$ac_gmp_ok" != yes && \
@@ -1966,5 +1969,5 @@
 
 echo $ac_n "checking whether to configure and build MP lib""... $ac_c" 1>&6
-echo "configure:1969: checking whether to configure and build MP lib" >&5
+echo "configure:1972: checking whether to configure and build MP lib" >&5
 if test "$enable_MP" != yes && test "$enable_MP" != no; then
   if test "$with_MP" != no && test "$ac_MP_ok" != yes && test -d MP && \
@@ -1995,5 +1998,5 @@
   
 echo $ac_n "checking whether to configure and build factory lib""... $ac_c" 1>&6
-echo "configure:1998: checking whether to configure and build factory lib" >&5
+echo "configure:2001: checking whether to configure and build factory lib" >&5
 if test "$enable_factory" != yes && test "$enable_factory" != no; then
   if test "$with_factory" != no && test "$ac_factory_ok" != yes && \
@@ -2020,5 +2023,5 @@
 
 echo $ac_n "checking whether to configure and build libfac lib""... $ac_c" 1>&6
-echo "configure:2023: checking whether to configure and build libfac lib" >&5
+echo "configure:2026: checking whether to configure and build libfac lib" >&5
 if test "$enable_libfac" != yes && test "$enable_libfac" != no; then
   if test "$with_libfac" != no && test "$ac_libfac_ok" != yes && \
@@ -2050,5 +2053,5 @@
 
 echo $ac_n "checking whether to configure and build sgroup lib""... $ac_c" 1>&6
-echo "configure:2053: checking whether to configure and build sgroup lib" >&5
+echo "configure:2056: checking whether to configure and build sgroup lib" >&5
 if test "$enable_sgroup" != yes && test "$enable_sgroup" != no; then
   if test "$with_sgroup" != no && test "$ac_sgroup_ok" != yes && \
@@ -2080,5 +2083,5 @@
 
 echo $ac_n "checking whether to configure and build Singular""... $ac_c" 1>&6
-echo "configure:2083: checking whether to configure and build Singular" >&5
+echo "configure:2086: checking whether to configure and build Singular" >&5
 if test "$enable_Singular" != yes && test "$enable_Singular" != no; then
   if test "$with_Singular" != no && test -d Singular; then
@@ -2105,5 +2108,5 @@
 
 echo $ac_n "checking which apint package to use""... $ac_c" 1>&6
-echo "configure:2108: checking which apint package to use" >&5
+echo "configure:2111: checking which apint package to use" >&5
 if test "$with_apint" = gmp; then
   if test "$ac_gmp_ok" = yes || test "$enable_gmp" = yes; then
@@ -2129,5 +2132,5 @@
 
 echo $ac_n "checking whether to use with MP""... $ac_c" 1>&6
-echo "configure:2132: checking whether to use with MP" >&5
+echo "configure:2135: checking whether to use with MP" >&5
 if test "$with_MP" = yes; then
   if test "$ac_MP_ok" = yes || test "$enable_MP" = yes; then
@@ -2148,5 +2151,5 @@
 
 echo $ac_n "checking whether to use with factory""... $ac_c" 1>&6
-echo "configure:2151: checking whether to use with factory" >&5
+echo "configure:2154: checking whether to use with factory" >&5
 if test "$with_factory" = yes; then
   if test "$ac_factory_ok" = yes || test "$enable_factory" = yes; then
@@ -2167,5 +2170,5 @@
   
 echo $ac_n "checking whether to use with libfac""... $ac_c" 1>&6
-echo "configure:2170: checking whether to use with libfac" >&5
+echo "configure:2173: checking whether to use with libfac" >&5
 if test "$with_libfac" = yes; then
   if test "$ac_libfac_ok" = yes || test "$enable_libfac" = yes; then
@@ -2186,5 +2189,5 @@
 
 echo $ac_n "checking whether to use with Singular""... $ac_c" 1>&6
-echo "configure:2189: checking whether to use with Singular" >&5
+echo "configure:2192: checking whether to use with Singular" >&5
 if test "$with_Singular" != no && test "$with_Singular" != yes; then
   if test "$enable_Singular" = yes; then
@@ -2235,8 +2238,11 @@
   SUBDIRS="$SUBDIRS mpr"
 fi
+if test -d emacs; then
+  SUBDIRS="$SUBDIRS emacs"
+fi
   
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:2241: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:2247: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
Index: configure.in
===================================================================
--- configure.in	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ configure.in	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -16,4 +16,7 @@
    OUTPUT_MAKEFILES=$OUTPUT_MAKEFILES" modules/tools/Makefile"
 fi
+if test -d "emacs"; then
+   OUTPUT_MAKEFILES=$OUTPUT_MAKEFILES" emacs/Makefile"
+fi
 
 dnl lllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllll
@@ -46,5 +49,5 @@
 SINGULAR_MAJOR_VERSION=1
 SINGULAR_MINOR_VERSION=3
-SINGULAR_SUB_VERSION=3
+SINGULAR_SUB_VERSION=4
 SINGULAR_SHORT_VERSION="${SINGULAR_MAJOR_VERSION}${VERSION_SEP}${SINGULAR_MINOR_VERSION}"
 SINGULAR_VERSION="${SINGULAR_SHORT_VERSION}${VERSION_SEP}${SINGULAR_SUB_VERSION}"
@@ -107,5 +110,5 @@
 # expand bindir
 if test "x$bindir" = 'x${exec_prefix}/bin'; then
-  bindir="${exec_prefix}/bin"
+  bindir="${exec_prefix}/"
   ac_configure_args="$ac_configure_args --bindir=${bindir}"
 fi
@@ -113,5 +116,5 @@
 # expand libdir
 if test "x$libdir" = 'x${exec_prefix}/lib'; then
-  libdir="${exec_prefix}/lib/${SINGULAR_VERSION}"
+  libdir="${exec_prefix}/lib/"
   ac_configure_args="$ac_configure_args --libdir=${libdir}"
 fi
@@ -119,5 +122,5 @@
 # expand includedir
 if test "x$includedir" = 'x${prefix}/include'; then
-  includedir="${exec_prefix}/include/${SINGULAR_VERSION}"
+  includedir="${exec_prefix}/include/"
   ac_configure_args="$ac_configure_args --includedir=${includedir}"
 fi
@@ -653,4 +656,7 @@
   SUBDIRS="$SUBDIRS mpr"
 fi
+if test -d emacs; then
+  SUBDIRS="$SUBDIRS emacs"
+fi
   
 
Index: doc/Makefile.in
===================================================================
--- doc/Makefile.in	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ doc/Makefile.in	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -15,4 +15,5 @@
 infodir		= ${prefix}/info
 bindir		= @bindir@
+htmldir         = ${prefix}/html
 
 ##
@@ -33,9 +34,5 @@
 TEXI2HTML	= @TEXI2HTML@
 DVIPS		= dvips
-IMAGES		= contents_motif.gif index_motif.gif \
-		next_motif.gif next_motif_gr.gif \
-		previous_motif.gif previous_motif_gr.gif \
-		singular-small.jpg singular.jpg \
-		invisible.xbm bg_left.gif bg_right.gif bg.jpg spacer3.gif
+IMAGES_UU	:= $(wildcard images/*.uu)
 
 # d2t stuff
@@ -61,5 +58,5 @@
 		tutor.tex examples.tex start.tex copyright.tex
 
-IMAGES_UU := $(IMAGES:%=images/%.uu)
+IMAGES     := $(IMAGES_UU:images/%.uu=%)
 IMAGES_SRC := $(IMAGES:%=images/%)
 IMAGES_HTML := $(IMAGES:%=html/%)
@@ -154,7 +151,8 @@
 
 # targets concerned with maintenance
-install: singular.hlp
+install: singular.hlp html/index.htm
 	${MKINSTALLDIRS} ${infodir}
 	${INSTALL_DATA} singular.hlp ${infodir}
+	test -L ${htmldir} || (rm -rf ${htmldir}; ln -s `pwd`/html ${htmldir})
 
 uninstall: 
Index: doc/doc2tex.pl
===================================================================
--- doc/doc2tex.pl	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ doc/doc2tex.pl	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -1,4 +1,4 @@
 #!/usr/local/bin/perl
-# $Id: doc2tex.pl,v 1.8 1999-07-17 14:49:10 obachman Exp $
+# $Id: doc2tex.pl,v 1.9 1999-07-19 12:06:13 obachman Exp $
 ###################################################################
 #  Computer Algebra System SINGULAR
@@ -319,4 +319,5 @@
 {
   s/^\@c\s*include\s+([^\s]+)\s/$1/;
+  s/\s*$//;
   unless (&Open(*INC, "<$_"))
   {
@@ -407,5 +408,5 @@
 sub HandleLib
 {
-  local($lib, $lib_name, $ltex_file, $l_ex, $l_fun);
+  local($lib, $lib_name, $ltex_file, $l_ex, $l_fun, $no_node, $section);
   my ($func);
 
@@ -426,5 +427,12 @@
   $l_fun = 1 if (($lib_fun || (/lib_fun/)) && !/no_fun/);
   $l_ex = 1 if (($lib_ex || /lib_ex/) && !/no_ex/ && $l_fun);
-
+  if (/(\w+)section/)
+  {
+    $section = $1. 'section';
+  }
+  else
+  {
+    $section = "subsection";
+  }
   $ltex_file = "$doc_subdir/$lib"."_lib";
   unless ($l_ex)
@@ -555,15 +563,22 @@
 	print LDOC " ".$procs[$i-1] if ($i > 0);
 	print LDOC ", " . $lib ."_lib\n";
-	print LDOC "\@subsection " . $procs[$i] . "\n";
+	print LDOC "\@$section " . $procs[$i] . "\n";
 	print LDOC "\@cindex ". $procs[$i] . "\n";
 
 	print LDOC "\@c ---content $procs[$i]---\n";
 	print LDOC "Procedure from library \@code{$lib.lib} (\@pxref{${lib}_lib}).\n\n";
-	print LDOC "\@table \@asis\n";
-	$table_is_open = 1;
-	# print help
-	$ref = OutInfo(\*LDOC, $help{$procs[$i]});
-	print LDOC "\@end table\n";
-	$table_is_open = 0;
+	if ($help{$procs[$i]} =~ /^\@/)
+	{
+	  print LDOC $help{$procs[$i]};
+	  $ref = '';
+	}
+	else
+	{
+	  print LDOC "\@table \@asis\n";
+	  $table_is_open = 1;
+	  # print help
+	  $ref = OutInfo(\*LDOC, $help{$procs[$i]});
+	  print LDOC "\@end table\n";
+	}
 	# print example 
 	if ($example = &CleanUpExample($lib, $example{$procs[$i]}))
@@ -600,4 +615,9 @@
   my ($FH, $info, $l_fun) = @_;
   print $FH "\@c ---content LibInfo---\n";
+    if ($info =~ /^\@/)
+  {
+    print $FH $info;
+    return;
+  }
   print $FH "\@table \@asis\n";
   $table_is_open = 1;
@@ -614,4 +634,9 @@
 {
   my ($FH, $info, $l_fun) = @_;
+  if ($info =~ /^\@/)
+  {
+    print $FH $info;
+    return;
+  }
   $info =~ s/^\s*//;
   $info =~ s/\s*$//;
@@ -654,7 +679,17 @@
     {
       $line = $1;
+      # break line if
       $text .= '@*' 
-	if ($line =~ /\w/ && $pline =~ /\w/ && 
-	    ((length($pline) < 60) || $line =~ /^\s*\w*\(.*?\)/));
+	if ($line =~ /\w/ && $pline =~ /\w/ # line and prev line are not empty
+	    && $line !~ /^\s*\@\*/  # line does not start with @*
+	    && $pline !~ /\@\*\s*/  # prev line does not end with @*
+	    &&
+	    ((length($pline) < 60  && # prev line is shorter than 60 chars
+	      $pline !~ /\@code{.*?}/ # and does not contain @code, @math
+	      && $pline !~ /\@math{.*?}/) 
+	     ||
+	     $line =~ /^\s*\w*\(.*?\)/ # $line starts with \w*(..)
+	     ||
+	     $pline =~ /^\s*\w*\(.*?\)[\s;:]*$/)); # prev line is only \w(..)
       $line =~ s/\s*$//;
       $text .= "$line\n";
@@ -667,8 +702,12 @@
   s/\s*$//g;
   s/ +/ /g;  # replace double whitespaces by one
+  s/(\w+\(.*?\))/\@code{$1}/g;
   s/\@\*\s*/\@\*/g;
   s/(\@[^\*])/\@$1/g; # escape @ signs, except @*
-  s/{/\@{/g;
+  s/{/\@{/g; # escape {}
   s/}/\@}/g;
+  # unprotect @@math@{@}, @code@{@}
+  s/\@\@math\@{(.*?)\@}/\@math{$1}/g;
+  s/\@\@code\@{(.*?)\@}/\@code{$1}/g;
 }
 
@@ -753,8 +792,4 @@
     # just print the text
     FormatInfoText(length($item) + 1);
-    # if functions are in text, then make it in code
-    s/(\w+\(.*?\))/\@code{$1}/g
-      if ($item =~ /usage/i || $item =~ /Return/i);
-
     print $FH "$_\n";
   }
@@ -787,5 +822,6 @@
   $refs =~ s/^\s*//;
   $refs =~ s/\s*$//;
-  my @refs = split (/[\s,]+/, $refs);
+  $refs =~ s/\n/,/g;
+  my @refs = split (/[,;\.]+/, $refs);
   my $ref;
 
@@ -795,5 +831,7 @@
   for $ref (@refs)
   {
-    print $FH ", \@ref{$ref}";
+    $ref =~ s/^\s*//;
+    $ref =~ s/\s*$//;
+    print $FH ", \@ref{$ref}"  if ($ref =~ /\w/);
   }
   print $FH "\n\@c ref\n";
Index: doc/images/Mybg.gif.uu
===================================================================
--- doc/images/Mybg.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/Mybg.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,21 @@
+begin 644 Mybg.gif
+M1TE&.#=A"P-!`/,``,#`P+:VMKN[N\O+R]#0T-75U?#P\/7U]?W]_?___P``
+M`````````````````````"P`````"P-!```$_G#(2:N]N))-2B='(2)D:9YH
+MJJYLZ[YP+,]T;=]XKN]\[__`H'!(+!J/N8QRN0P8!@3!00I(``[(K';+[7J_
+MX+!X3"Z;R\RT6L+Y>$0'P'E.K]OO^+Q^S^_KUH!+!$Y25'$)?HF*BXR-CH^0
+MD4&!E!9M;R``(Y*<G9Z?H*&BHS"5IA).4(6'5Z2NK["QLK.T/*>FEVX%<;6]
+MOK_`P<)ZM[B$4W&'P\O,S<[/T"[%E+D>(9O1V=K;W-V0TX&I4<A5K=[GZ.GJ
+MZTC@@-4=NW+L]/7V]_@D[N_'AE7Y``,*'`ALGQIX<;`17,BPH<-%!M.(6U4.
+MR\.+&#-J_!*1"3PX_O,VBAQ)LF2-CA[[)?MGLJ7+ER51*D$HH@#,FSAS#I29
+M82(Y*Q9U"AU*E!M/#!_E%5W*M&G!HQ<&&:"HS*G5JU@_0;7$`5-"FUG#BAW+
+M9VL%GU2`DEW+MJT8LQ22\G)+MZ[=27`G2*7*\J[?OX!+Y872]<,UL($3*TX\
+M>`!:5D$72Y[<MK'<D)0S:[[:&(K**WTWBQXMU')A:YH0DU[-VF3CQQ5;RYZM
+MT?0&3"!IZ]Y-L/-><E5Y"Q_.SK8;$#6)*U_>[?63<6G-,9].?9EQW$JK:]]>
+MR_?GX-S#BP]UW7#J\>C32W*NZJ=T]?#CEQU\6;[]^W:\3P4>&K___UZ4N6=-
+M<@`6:&`[@\&FUH$,-OB#@/',Y>"$%)YDV7?]5:CAABE`^!6'((98`GO002;B
+MB1M"F!N*+#JH'U^(M"BC@1X2...-^)%(T8(X]AB?BMGY*"1Z+_(7XY!(<N?A
+M>4DV69V.[D7FY)3#`2DAE5CN5J0_1V;II6PU*O3EF*-!&9V49*9)F968J>GF
+M8ENNU.6;=`*VI)AUYEF7F2;JZ>>>])T689M_%BI6G*#-:>BBG`5ZFV$V,BJI
+%4Q$``#L`
+`
+end
Index: doc/images/blue_dir.gif.uu
===================================================================
--- doc/images/blue_dir.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_dir.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,9 @@
+begin 644 blue_dir.gif
+M1TE&.#=A&``8`.,````````:QAZ0_X?.Z[Z^OB]/3P``@/___W"`D```_P``
+M`````````````````````"P`````&``8```$J3#)2:N5YNIK<@I@*(YC)Y$H
+M:GYI"ZYN>,Q'",>'H`MU`/.T&6%(",X,/D\@ISL0"H`HH(#8'9"P(&$J&`P$
+MT.(Q>6(B"@6O>H"F896T;7>F%@#$[[(.`?`>U@,`55=D'W%]@%YW8UE[`%V`
+M=GB%2S1HB6V,<#M;!9!@"&>:95I04G>A`(0P"49.1`>H?"]*21VWN`:R`)0Q
+3(;LWOB"H`":YQ\A1R,O,MQ$`.P``
+`
+end
Index: doc/images/blue_down.gif.uu
===================================================================
--- doc/images/blue_down.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_down.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 blue_down.gif
+M1TE&.#=A&``8`,(````:QAZ0_P``@/___P``_P```````````"P`````&``8
+M```#6DBZW*[BR2<B`3CKO:OB(.A=88F-IHFFX9H%0RS+@>9F<]Y9')P/-1N/
+M\QMP;J]<4/@!Z8[#'DT4)<9:U0ULN6N&C%@OB-LEL:#B<P:I!K#5GHI\3J_;
+&[WAY`@`[
+`
+end
Index: doc/images/blue_grab.gif.uu
===================================================================
--- doc/images/blue_grab.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_grab.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 blue_grab.gif
+M1TE&.#=A&``8`,(````:QAZ0_P``@/___P``_P```````````"P`````&``8
+M```#=DBZW*[BR2<B`3CKO:OB(.A=814"8R>@PU"MZI<);577Z&QIM-O_@@`L
+MQ;NYC,-=\<C\88BH5:!%13Z5P*K6=97UF-M!0"=CA:NP:-E\YG9)S^EY3(8_
+BVVFU_;ZEUT%R:#%[?((\2AU;>7HGC6HOD)&2DY25D0D`.P``
+`
+end
Index: doc/images/blue_help.gif.uu
===================================================================
--- doc/images/blue_help.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_help.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 blue_help.gif
+M1TE&.#=A&``8`,(````:QAZ0_^;F^H?.ZP``@/___P``_P```"P`````&``8
+M```#:&BZW*[DR4>B`3CKO:OB(.A=88F-H#$4[$!JZ!:P-!MTUF;4@T"_@%AF
+MQKKL;+"<AH%9%9.?$+$@N$&!FJD5%^40!R&A2:1,8:_25K@L4Y.[[0+X?1YG
+4Q'9TGH/?!R,5@8*#A(6&AX$)`#L`
+`
+end
Index: doc/images/blue_next.gif.uu
===================================================================
--- doc/images/blue_next.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_next.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 blue_next.gif
+M1TE&.#=A&``8`,(````:QAZ0_P``@/___P``_P```````````"P`````&``8
+M```#5TBZW*[BR2<B`3CKO:OB(.A=88F-IHFFX9H%[&EMPP"G+E;7=SMKNUVO
+M\\L$@T/9!WA$:G*`)H\#;28S5:&JJ+.QH%??,D8<D['<,P!Z]E3>\+A\3J^_
+#$P`[
+`
+end
Index: doc/images/blue_prev.gif.uu
===================================================================
--- doc/images/blue_prev.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_prev.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 blue_prev.gif
+M1TE&.#=A&``8`,(````:QAZ0_P``@/___P``_P```````````"P`````&``8
+M```#5TBZW*[BR2<B`3CKO:OB(.A=88F-IHFFX<H&G?4.0_R5`4W;))?K.XTK
+M\P,&,\.B\7B2;91`7@A:$SJG4>O-]).R`#!M[RLF<X9F`-KLJ;C?\+A\3G<G
+#```[
+`
+end
Index: doc/images/blue_readme.gif.uu
===================================================================
--- doc/images/blue_readme.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_readme.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,9 @@
+begin 644 blue_readme.gif
+M1TE&.#=A&``8`.,````````:QAZ0_X?.Z[Z^OB]/3P``@/___W"`D```_P``
+M`````````````````````"P`````&``8```$JC#)2:N5YNIK<@I@*(YC)X5'
+MJJ;%00;F!QY"7;,I&:.KVN:BW<Q&$QP*2&30PU,1GD_5\C0\$`J`+*!``(*$
+M@11A*Q@,!-CN5!8^%LSP`=(5`EL!Y11<`""L46-F!W$#?7\S@81FAG5,B'B*
+M?'Z-5&U(BG.';6,%96<%"`@%FC166%I]H0"4;#U07:D(JS".839&/;&K=CV]
+4NF`O)*D`)AW&Q\C'6<G,S<D1`#L`
+`
+end
Index: doc/images/blue_top.gif.uu
===================================================================
--- doc/images/blue_top.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_top.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 blue_top.gif
+M1TE&.#=A&``8`,(````:QAZ0_^;F^H?.ZP``@/___P``_P```"P`````&``8
+M```#;FBZW*[DR4>B`3CKO:OB60!FWC4*PPB48U`4*@L*KPC*W%L((ZX-NH*M
+M8P$%=[?B!GA,?C:TXY"D#!UU'!\@>IVNJJH>6!,0"+S4Y\:E0W_5&BXR.\;(
+:>72XM>TT<<IG8GIA1`85AXB)BHN,C8<)`#L`
+`
+end
Index: doc/images/blue_up.gif.uu
===================================================================
--- doc/images/blue_up.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/blue_up.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 blue_up.gif
+M1TE&.#=A&``8`,(````:QAZ0_P``@/___P``_P```````````"P`````&``8
+M```#64BZW*[BR2<B`3CKO:OB(.A=88F-IHF60;F&@VNQ0RO.\!#?'QCH-1Z)
+M`]0)?<5@![=)&I<]S<]IR[PR3B!TB)EFJX!K:CL.B<LG)MJJ7H<CE;A\3J_;
+%[_$$`#L`
+`
+end
Index: doc/images/singular-icon-transparent.gif.uu
===================================================================
--- doc/images/singular-icon-transparent.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/singular-icon-transparent.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,68 @@
+begin 644 singular-icon-transparent.gif
+M1TE&.#EA@`"``.<``/______S/__F?__9O__,___`/_,___,S/_,F?_,9O_,
+M,__,`/^9__^9S/^9F?^99O^9,_^9`/]F__]FS/]FF?]F9O]F,_]F`/\S__\S
+MS/\SF?\S9O\S,_\S`/\`__\`S/\`F?\`9O\`,_\``,S__\S_S,S_F<S_9LS_
+M,\S_`,S,_\S,S,S,F<S,9LS,,\S,`,R9_\R9S,R9F<R99LR9,\R9`,QF_\QF
+MS,QFF<QF9LQF,\QF`,PS_\PSS,PSF<PS9LPS,\PS`,P`_\P`S,P`F<P`9LP`
+M,\P``)G__YG_S)G_F9G_9IG_,YG_`)G,_YG,S)G,F9G,9IG,,YG,`)F9_YF9
+MS)F9F9F99IF9,YF9`)EF_YEFS)EFF9EF9IEF,YEF`)DS_YDSS)DSF9DS9IDS
+M,YDS`)D`_YD`S)D`F9D`9ID`,YD``&;__V;_S&;_F6;_9F;_,V;_`&;,_V;,
+MS&;,F6;,9F;,,V;,`&:9_V:9S&:9F6:99F:9,V:9`&9F_V9FS&9FF69F9F9F
+M,V9F`&8S_V8SS&8SF68S9F8S,V8S`&8`_V8`S&8`F68`9F8`,V8``#/__S/_
+MS#/_F3/_9C/_,S/_`#/,_S/,S#/,F3/,9C/,,S/,`#.9_S.9S#.9F3.99C.9
+M,S.9`#-F_S-FS#-FF3-F9C-F,S-F`#,S_S,SS#,SF3,S9C,S,S,S`#,`_S,`
+MS#,`F3,`9C,`,S,```#__P#_S`#_F0#_9@#_,P#_``#,_P#,S`#,F0#,9@#,
+M,P#,``"9_P"9S`"9F0"99@"9,P"9``!F_P!FS`!FF0!F9@!F,P!F```S_P`S
+MS``SF0`S9@`S,P`S````_P``S```F0``9@``,P```/__________________
+M____________________________________________________________
+M____________________________________________________________
+M_____________________R'^#DUA9&4@=VET:"!'24U0`"'Y!`$*````+```
+M``"``(````C.``$('$BPH,&#"!,J7,BPH<.'$"-*G$BQHL6+&#-JW,BQH\>/
+M($.*'$FRI,F3*%.J7,FRI<N7,&/*G$FSILV;.'/JW,FSI\^?0(,*'4JTJ-&C
+M2),J7<JTJ=.G4*-*G4JUJM6K6+-JW<JUJ]>O8,.*'4NVK-FS:-.J7<NVK=NW
+M<./*G4NWKMV[>//JW<NWK]^_@`,+'DRXL.'#B!,K7LRXL>/'D"-+GDRYLN7+
+MF#-KWLRYL^?/H$.+'DVZM.G3J%.K7LVZM>O7L&/+GDW;:T``(?D$`0H``@`L
+M!P`&`'(`=```"/X`!0@<2+"@P8,($RI<>/`/E1@,(TJ<2+&BQ8)_IL%*5>6B
+MQX\@0Q),-6T:-5@B4ZI<:=#/-%<E5;&<2?/CJVG2I$W34K.GSX6C<.9L]K.H
+M48%4IKUBIA0/E:-0:Z9ZI1/5-!51LZI4\8=JR6E_M(H-J4(556FO9(Y=>['K
+MRU34.K*=.Y&:U9AT\S+\`TL:S%=/]0H^N.K57[6#$PLT>_/F%L6*J:A2"K>0
+MBA60!S-6"BMP9L'47AF&]<<`YL]Y83%^E0HKZKQ;0O_=XOKUW(T;T]:VO;80
+M+-&O8%79K9#:'QB\9_X63=J`1%6PIJU*GO*``$-3<4L$(&#JM%340_X>`+!E
+M>7"Y$0LIG88\_$?KAH"K,D21Y+1"[C\ZY^L;%OV)ZKD"6'X>.1=+<(N@1-%7
+M81'HD6\)JB(&1>I]YZ!'6QS(R"NQ5$0-6N!=:!$CC,!22(<4WA2BB!094F*)
+M^%'DS$TQLB@1%[&\>$A%<+%F(T4Y,F((+(]19)=Q/T9DP"&PO/C?1+^Y0DV2
+M$=T0BXN&H#@17THU2.5!IS7B8I-//J>B0D7^:(`8)/K62$7E394F865>:``7
+M)#(B)A<5P0(+D@D94HV:US5"HI@5Q6>B0E40J>8AA@K9"$03-1J<EP=!IZ88
+MD!XZ9T0;45-G05R0]N,-C1C:R"%<6#=1>?Y^+K0*8EIQ(<88AXS!!9\?'=)I
+MJA5546(LGV)$;*UC.#)&&HTPFP8BJ_+*G42',(O&(1,FZN>H!<V7E0QCJ.%(
+M&FJD86ZSS";+JJL+W=DILQ:5R@BM!P%R+%1<E)O&LORJ,4:SZ*;A2",X,(1J
+MJLT63-$-T!W"+4&Q`)+5LD7HZX@:C3ARB!K5FFMNLF,H%$,C8JS:2,C:SKM0
+MEAVQ^Q.N^I([AA@R-'`#%_^"+'`:N2ILT+_,KFH1((U<R5#$4>&@K,PG-W#`
+M`4X?8$`,_\:\+\$_.R+&N19ER/+*JU!ZU!C)%O&#LE'S*H`!4H/;"!D[ITO0
+MLA]C35$,AS!R+_Y"!V0H,50XJ*&OOS$X=Y`!`#3`Q;[.YBQ0OAZGP2MZ"\60
+MI<,+'7"(EB48A0.Y/P@L@\L'2=U`SA;/7*[@9%<4@QA7[B@RCL7^%'C%^Y+.
+M-]2?!SPNW?M6!,.O[:[@JU8^J%&QV88K>4`,5D?^9D6^'I\Y%[*H#=4/RI?[
+M@^X*&6!``VD4$;F_<,*^JM@(&3"\[!-S7X01.8"?T-/DIQ%ZS#=,Q`4:)#,$
+M^\!D`"MD3RP_&(,1TK!`^QWN`#(@`^X\YB]'^"PA.,A;(]#`"('(H%V&@%]6
+MNB`X(QA!#4Z3R`%P$*[NI0%N=",#0V*``Y+)+2+6TPH.R%!"(^#`@?X$,4#@
+MU,`]UI$-=,J*2`,0)C2&=($5:R$#&4P(A!\T("(Y\%?%N#>&*X:+@1638>8$
+M0+9FB6&`!HD!(D08E3'PT(1JJ)]"<C`N-9CPA&3PF1AZJ(8N2&0,B&!6MA1R
+M"$2LQ8YWC.-!'%!$P2U/#62XXD!.USW!^3$B($.?R)(HEBG>\81QS`$.<O`#
+M'DIPBD4DPP\0PL,BCN&2#$F6P+27QBY,3RL4X-XG@4`N3Y[PEX+SUP4+0H$O
+M"BX-PTQ("U^9$`/(P!&PS$H.@*`&(/PRD9\D(@]1II`=$A&2:OA@1`+I"#)8
+M(2$K2-9:*/#&.W+`"")(I.`B*9'`@9&(#/X)@``"%RXV&J2/:Y$!$'AH36!2
+M<Z#)7`@)[5@Q;BYDB!Q3B#K90@%JFE**<4PH0QH@05#FD5K+5`@9'#J7!CA`
+M)#N4YT1:^%&$X``1&KW0$(U@T8FLC@SB/`@G.Y>DV\$QFG.THR8/\DPN-"])
+MOCQA3`OB237$5(IH9%$6?W!',3(D<-RSJD$BV`4@$BA<<#0"295938`B!!%C
+M\"J!I%C554;DF&HX*5')T-4O[?.3W,NI0B+82F7B5*WNR2(\[4A/AIC2J0F1
+M(F##P]%JWE$'$E%#"&B*043DP*X"F($=CV!",ER6(3E8@PF!.A"N8E8`U(0G
+M9[6J$,>JX2>!R/Y,&3YI!+<N)`<F7,-G:W*-S."6LYPU@D0\"833,L2:(CA"
+M/%F+$-QVUKAS!$(\XZF&"D1$ND9@+G0)@MSD4I8A%3#""+*[W81\,IZ0/:YJ
+MY5K>@N3@".]<;40>H-SOMK<@5(WG"(X`!+5:<[SLO>]`UA!?(QQAJ0)Q@'*!
+M4%P!$^0'G`U"<H$08(3\M\$.'@@0.+M?^C%$P48(`H8SC-L1C)>_%3Z(=`>:
+M8>["=[P>9@A_6TR0\!YA!!V8,8TMH@,.WWC$.XZ(`T*\7VL&N2+O-?$11'QD
+MBFS8Q!NV;I,C4H$@W/@(.I[R<4VLY-UJ.2%`X,"-3:S=+Q<$RTKF`$V0S5R0
+M"HP9RFQ6R).5O.8X"\3-'5#R$>QL82SG.<M\'L@#K&QB#JPAT`8!0A"X;(3T
+>(CK!1%9NF>T<6C(`0<J/+FT.O)SI3GOZT_D)"``[
+`
+end
Index: doc/images/xy_contents.gif.uu
===================================================================
--- doc/images/xy_contents.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_contents.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_contents.gif
+M1TE&.#EA&P`;`*$``````/[^_A@8&,7%Q2'Y!`$```,`+``````;`!L```))
+MG(^IR^T/HYRTVB/$32($O0T=`'S;2)8@A:8J&[BN&;4R23OVC:]+YPD*ASE.
+>YHA,)D/,)E,)A?Z(U*$/P\NFKH:H]^@,B\>.`@`[
+`
+end
Index: doc/images/xy_foot.gif.uu
===================================================================
--- doc/images/xy_foot.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_foot.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,5 @@
+begin 644 xy_foot.gif
+M1TE&.#EA$``0`(`!`````/___R'Y!`$```$`+``````0`!````(@C(^I`;W:
+<P$MQ4LLD,P[&KU':&#XE=EKIM)H8TB[Q>Q0`.P``
+`
+end
Index: doc/images/xy_next.gif.uu
===================================================================
--- doc/images/xy_next.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_next.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_next.gif
+M1TE&.#EA&P`;`*$``````/[^_A@8&,7%Q2'Y!`$```,`+``````;`!L```)$
+MG(^IR^T/HX1B/E$M$R'KQ'4?&`#B:'"`Z7WJ>KKERHXO'4\WWD8[VZ/,8!@9
+9+^B;=9!)(&H0*CXYTFG5^D0PL]SNLP``.P``
+`
+end
Index: doc/images/xy_next_gr.gif.uu
===================================================================
--- doc/images/xy_next_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_next_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_next_gr.gif
+M1TE&.#EA&P`;`*$``+*RLO[^_L7%Q0```"'Y!`$```(`+``````;`!L```(_
+ME(^IR^T/HX1@/E`M`R'KQ'4?V(FCP6'FF*J>UKILA\DP7:=WWNXU_8D!@[0A
+4L7<*84XH8W+)1+V8TZCU>BT``#L`
+`
+end
Index: doc/images/xy_nextsection.gif.uu
===================================================================
--- doc/images/xy_nextsection.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_nextsection.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 xy_nextsection.gif
+M1TE&.#EA&P`;`*$``````/[^_A@8&,7%Q2'Y!`$```,`+``````;`!L```):
+MG(^IR^T/EYCBU)@$"'=,C&B<-8+>U@E!B8EI@((N"<31;*BU_>`>O&,U?+H=
+MCT$$&H6*I+'&S/"*P0YRJCQ>6=2H!`NU.IS>[:ML)HDAQ#6;8C')Y_2Z'5(`
+"`#L`
+`
+end
Index: doc/images/xy_nextsection_gr.gif.uu
===================================================================
--- doc/images/xy_nextsection_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_nextsection_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_nextsection_gr.gif
+M1TE&.#EA&P`;`*$``+*RLO[^_L7%Q0```"'Y!`$```(`+``````;`!L```)4
+ME(^IR^T/%YC@U)AFN&)BI''`]AFA%9#?:6YJQ';;R#TQ'3OWG#,[U5/\@#1=
+IL44\^I0XRFOY:BH;PRF5.7L:HZZ:#:O]<KV0&[E,L936[+;[#2D``#L`
+`
+end
Index: doc/images/xy_previous.gif.uu
===================================================================
--- doc/images/xy_previous.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_previous.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_previous.gif
+M1TE&.#EA&P`;`*$``````/[^_A@8&,7%Q2'Y!`$```,`+``````;`!L```)"
+MG(^IR^T/XQ+R"5K9Q3G=P'7&!XK'!Y0FFH85VXIPG,WT&P#ZKM;Y?O,!>QW!
+7+UC\$66Y)=/)=)D&EZE":LUJM]8"`#L`
+`
+end
Index: doc/images/xy_previous_gr.gif.uu
===================================================================
--- doc/images/xy_previous_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_previous_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_previous_gr.gif
+M1TE&.#EA&P`;`*$``+*RLO[^_L7%Q0```"'Y!`$```(`+``````;`!L```(_
+ME(^IR^T/XP+R`5K9Q3G=P'7&!XK'!Y0FFH85VXIPG,WT"VZHG&]JU_*Y<$+3
+4*/=;@9)*IG*X@JZ,U*KUNB@``#L`
+`
+end
Index: doc/images/xy_previoussection.gif.uu
===================================================================
--- doc/images/xy_previoussection.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_previoussection.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,7 @@
+begin 644 xy_previoussection.gif
+M1TE&.#EA&P`;`*$``````/[^_A@8&,7%Q2'Y!`$```,`+``````;`!L```)9
+MG(^IR^T/HYQ'5(&IR3L`2PD!.(A?&(R51T*FVIV1"<`E.WM`39HM0]O9?(^@
+ML(=K&(\K&5"W8\9^BN4PZ3!>G5GHEOJ4WKA%SQ=U1B')LS78=>%HYO1ZHP``
+!.P``
+`
+end
Index: doc/images/xy_previoussection_gr.gif.uu
===================================================================
--- doc/images/xy_previoussection_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_previoussection_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_previoussection_gr.gif
+M1TE&.#EA&P`;`*$``+*RLO[^_L7%Q0```"'Y!`$```(`+``````;`!L```)5
+ME(^IR^T/HYP'5("IR3OP"7B59X&!V'U0R(ZJP[9I^<2R$*\DAN)DO>/1<@T;
+JYD9D&(4NFC*(_`&/T=?SV$M.J\YI5BH)?:W3I@8W!%.&Q[/[#5\4```[
+`
+end
Index: doc/images/xy_up.gif.uu
===================================================================
--- doc/images/xy_up.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_up.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_up.gif
+M1TE&.#EA&P`;`*$``````/[^_A@8&,7%Q2'Y!`$```,`+``````;`!L```(\
+MG(^IR^T/HYRTVHNO$/F(L'4?`'):`*2E-:9J.+7N:T+R3-LHCJ_-%P@*AT.8
+18H-,*I>=IO,)C4JG5$@!`#L`
+`
+end
Index: doc/images/xy_up_gr.gif.uu
===================================================================
--- doc/images/xy_up_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
+++ doc/images/xy_up_gr.gif.uu	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -0,0 +1,6 @@
+begin 644 xy_up_gr.gif
+M1TE&.#EA&P`;`*$``+*RLO[^_L7%Q0```"'Y!`$```(`+``````;`!L```(V
+ME(^IR^T/HYRTVHLO`/F`L'7?R&G@=EKD1E(KVT8O'#LS72]?P/>^']+AAKB.
++\8A,*I?,)J0``#L`
+`
+end
Index: doc/t2h_singular.init
===================================================================
--- doc/t2h_singular.init	(revision a204eaabfd4864b4c4e333658414701e14bee58f)
+++ doc/t2h_singular.init	(revision 460c1e191b2029d71d3c85f849b12944b8be0afa)
@@ -38,4 +38,6 @@
 $T2H_IDX_SUMMARY = 'cp';
 
+$T2H_STANDARD = 1;
+
 # inside <BODY ..>
 $T2H_BODYTEXT = 'LANG="EN"  BACKGROUND="bg.jpg"';
@@ -61,5 +63,4 @@
   my $fh = shift;
   print $fh <<EOT;
-<P></P>
 <FONT SIZE="-1">
 User manual for <A HREF="http://www.mathematik.uni-kl.de/~zca/Singular/"><I>Singular</I></A> version $value{VERSION}, $value{VERSION_DATE},
@@ -71,4 +72,57 @@
 EOT
 }
+  
+$T2H_ICONS = 1;
+
+%T2H_ACTIVE_ICONS =
+  (
+   'Top',      'blue_top.gif',
+   'Contents', 'blue_dir.gif',
+   'Overview', '',
+   'Index',    'blue_readme.gif',
+   'Back',     'xy_previous.gif',
+   'FastBack', 'xy_previoussection.gif',
+   'Prev',     'xy_previoussection.gif',
+   'Up',       'xy_up.gif',
+   'Next',     'xy_nextsection.gif',
+   'Forward',  'xy_next.gif',
+   'FastForward', 'xy_nextsection.gif',
+   'About' ,    'blue_help.gif',
+   ' ',        ''
+  );
+
+%T2H_PASSIVE_ICONS =
+  (
+   'Top',      'blue_top.gif',
+   'Contents', 'blue_dir.gif',
+   'Overview', '',
+   'Index',    'blue_readme.gif',
+   'Back',     'xy_previous_gr.gif',
+   'FastBack', 'xy_previoussection_gr.gif',
+   'Prev',     'xy_previoussection_gr.gif',
+   'Up',       'xy_up_gr.gif',
+   'Next',     'xy_nextsection_gr.gif',
+   'Forward',  'xy_next_gr.gif',
+   'FastForward', 'xy_nextsection_gr.gif',
+   'About' ,    'blue_help.gif',
+  );
+
+sub t2h_pre_about
+{
+  return <<EOT;
+This document is the user manual for <A HREF="http://www.mathematik.uni-kl.de/~zca/Singular/"><I>Singular</I></A> version $value{VERSION}, $value{VERSION_DATE}. 
+<BR>   
+
+For questions and comments about Singular, send email to <A href="mailto:singular\@mathematik.uni-kl.de">singular\@mathematik.uni-kl.de</a>.
+  
+<P></P>  
+This document was generated by <A HREF="$T2H_HOMEPAGE"><I>$THISPROG</I></A> 
+and <ahref="http://www-dsed.llnl.gov/files/programs/unix/latex2html/manual/">LaTeX2<TT>HTML</TT></a> 
+and is best  viewed with 16 or 18 point screen font.
+<P></P>  
+EOT
+}
+
+$T2H_PRE_ABOUT = \&t2h_pre_about;
 
 1; 	# This must be the last line
